How to Install Gitorious 2.4.x on Ubuntu 12.04

There are lots of tutorial flowing on the web regarding the installation instruction of Gitorious 2.4 on  Ubuntu, however the problem is (at the time of writing @ 2013-06-20):

  1. The instruction does not point out which version of Gitorious it is installing
  2. Some of them are just copying from other website.
  3. As of Gitorious 2.3/2.4 (I forgot), the ultrasphinx thing is deprecated and is switched to thinkingsphinx (yes, if you don’t know, than the guide you are reading is bad)
  4. The instructions you really always mentioned about Ubuntu 9/10/11.

Now I have spent hours on trying it on my configuration, and now I can tell you firmly what is the success factor: Continue reading

Advertisements